### Method

# Xdp InputCaptureSession set_session_persistence

#### Declaration [src]

    void
    xdp_input_capture_session_set_session_persistence (
      XdpInputCaptureSession* session,
      XdpInputCaptureSessionPersistence persistence
    )

#### Description [src]

Requests session persistence from the portal. A persistent session can be restored using the restore token, see `xdp_input_capture_session_set_restore_token()`.

This method can only be called for a session created with `xdp_portal_create_input_capture_session2()` and only before `xdp_input_capture_session_start()` has been called. It has no effect otherwise.

The default persistence is none.

#### Parameters

`persistence`

  Type: `XdpInputCaptureSessionPersistence`

  The session persistence for this session.